package CHAPTER03;

import java.util.Scanner;

public class WhileSumExample {
	public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        
        int sum = 0;
        int input;

        while (true) {
            System.out.print("숫자를 입력하세요 (-1)을 입력하면 종료): ");
            input = scanner.nextInt();
            
            if (input == -1) {
                break;
            }

            sum += input;
        }

        System.out.printf("입력된 숫자의 합계는 %d입니다.\n", sum);
        scanner.close();
    }
}
